'''
  id: com.google.repo.basket
  name: HLS Stream Test Application
  creator: shawn

  Please modify only the stream_url parameter. Use a proper m3u8, if the content
  is not 'live' you may set the params['live'] parameter to '0'.
'''

import mc
from urllib import quote_plus, urlencode

stream_url = 'http://andaluciatelevision.rtva.stream.flumotion.com/rtva/andaluciatelevision.flv.m3u'

params = { 'live':'1' }
playlist_url = "playlist://%s?%s" % (quote_plus(stream_url), urlencode(params))

print playlist_url

item = mc.ListItem(mc.ListItem.MEDIA_VIDEO_EPISODE)
item.SetPath(playlist_url)
item.SetLabel('HLS Test Stream')
item.SetContentType = 'application/vnd.apple.mpegurl'
mc.GetPlayer().Play(item)
